<template>
  <ele-page flex-table>
    <page-search @search="reload"></page-search>
    <common-table
      ref="pageRef"
      :pageConfig="pageConfig"
      :columns="columns"
      :tools="false"
      show-summary
      :flex-table="false"
    >
      <template #toolbar="{ row }">
        <div>
          <el-button
            type="success"
            plain
            v-permission="'statistic:defect:export'"
            @click="handleExportExcel(row)"
          >
            导出EXCEL
          </el-button>
        </div>
      </template>
    </common-table>
  </ele-page>
</template>

<script setup>
  import { ref, reactive } from 'vue';
  import CommonTable from '@/components/CommonPage/CommonTable.vue';
  import pageSearch from './components/page-search.vue';

  defineOptions({ name: 'arrivalSign' });

  /** 表格列配置 */
  const columns = ref([
    { type: 'index', label: '#', align: 'center', width: 80 },
    { label: '地区', prop: 'godownName', align: 'center' },
    { label: '收货仓库', prop: 'godownName', align: 'center' },
    { label: '不良率', prop: 'godownName', align: 'center' },
    { label: '统计日期', prop: 'createTime', align: 'center' }
  ]);

  /** 页面组件实例 */
  const pageRef = ref(null);

  const pageConfig = reactive({
    pageUrl: '/baseinfo/godown/pagelist',
    exportUrl: '/baseinfo/godown/export',
    fileName: '不良统计',
    cacheKey: 'arrivalSignTable'
  });

  //刷新表格
  function reload(where) {
    pageRef.value?.reload(where);
  }

  //导出excel
  function handleExportExcel() {
    pageRef.value?.exportData('不良统计');
  }
</script>
